package cn.hmsoft.hmplatform.wxtoken.data.model;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDateTime;

/**********************************************
 * TOKEN获取日志
 * 
 * @author: zxq
 * @date: 2020-05-02 17:43:55
 * @version: 2.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "P_WX_TOKEN_REQUEST", keyColumn = "LOG_ID", sequenceName = "LOG_ID")
public class PWxTokenRequest implements Serializable {
	private static final long serialVersionUID = -408548612825290243L;
	private Integer log_id;
	// 微信内部编号
	private Integer token_id;
	// App默认Token
	private String app_accesstokenkey;
	// app实时的access_token
	private String app_accesstoken;
	// token超时时间
	private LocalDateTime app_token_expired;
	// JSAPI需要使用的Ticket
	private String app_jsapi;
	// 请求时间
	private LocalDateTime request_time;
	// 返回时间
	private LocalDateTime response_time;
	// 返回代码
	private String error_code;
	// 错误提示
	private String error_msg;

	public Integer getLog_id() {
		return this.log_id;
	}

	public void setLog_id(Integer log_id) {
		this.log_id = log_id;
	}

	/****
	 * 微信内部编号
	 */
	public Integer getToken_id() {
		return this.token_id;
	}

	/****
	 * 微信内部编号
	 */
	public void setToken_id(Integer token_id) {
		this.token_id = token_id;
	}

	/****
	 * App默认Token
	 */
	public String getApp_accesstokenkey() {
		return this.app_accesstokenkey;
	}

	/****
	 * App默认Token
	 */
	public void setApp_accesstokenkey(String app_accesstokenkey) {
		this.app_accesstokenkey = app_accesstokenkey;
	}

	/****
	 * app实时的access_token
	 */
	public String getApp_accesstoken() {
		return this.app_accesstoken;
	}

	/****
	 * app实时的access_token
	 */
	public void setApp_accesstoken(String app_accesstoken) {
		this.app_accesstoken = app_accesstoken;
	}

	/****
	 * token超时时间
	 */
	public LocalDateTime getApp_token_expired() {
		return this.app_token_expired;
	}

	/****
	 * token超时时间
	 */
	public void setApp_token_expired(LocalDateTime app_token_expired) {
		this.app_token_expired = app_token_expired;
	}

	/****
	 * JSAPI需要使用的Ticket
	 */
	public String getApp_jsapi() {
		return this.app_jsapi;
	}

	/****
	 * JSAPI需要使用的Ticket
	 */
	public void setApp_jsapi(String app_jsapi) {
		this.app_jsapi = app_jsapi;
	}

	/****
	 * 请求时间
	 */
	public LocalDateTime getRequest_time() {
		return this.request_time;
	}

	/****
	 * 请求时间
	 */
	public void setRequest_time(LocalDateTime request_time) {
		this.request_time = request_time;
	}

	/****
	 * 返回时间
	 */
	public LocalDateTime getResponse_time() {
		return this.response_time;
	}

	/****
	 * 返回时间
	 */
	public void setResponse_time(LocalDateTime response_time) {
		this.response_time = response_time;
	}

	/****
	 * 返回代码
	 */
	public String getError_code() {
		return this.error_code;
	}

	/****
	 * 返回代码
	 */
	public void setError_code(String error_code) {
		this.error_code = error_code;
	}

	/****
	 * 错误提示
	 */
	public String getError_msg() {
		return this.error_msg;
	}

	/****
	 * 错误提示
	 */
	public void setError_msg(String error_msg) {
		this.error_msg = error_msg;
	}
}